## golang-gopkg-lxc-go-lxc.v2 0.0~git20161126.1.82a07a6

=== Makefile ===
NO_COLOR=\033[0m
OK_COLOR=\033[0;32m

all: format vet lint

format:
	@echo "$(OK_COLOR)==> Formatting the code $(NO_COLOR)"
	@gofmt -s -w *.go
	@goimports -w *.go || true

test:
	@echo "$(OK_COLOR)==> Running go test $(NO_COLOR)"
	@sudo `which go` test -v

test-race:
	@echo "$(OK_COLOR)==> Running go test $(NO_COLOR)"
	@sudo `which go` test -race -v

test-unprivileged:
	@echo "$(OK_COLOR)==> Running go test for unprivileged user$(NO_COLOR)"
	@`which go` test -v

test-unprivileged-race:
	@echo "$(OK_COLOR)==> Running go test for unprivileged user$(NO_COLOR)"
	@`which go` test -race -v

cover:
	@sudo `which go` test -v -coverprofile=coverage.out
	@`which go` tool cover -func=coverage.out

doc:
	@`which godoc` gopkg.in/lxc/go-lxc.v2 | less

vet:
	@echo "$(OK_COLOR)==> Running go vet $(NO_COLOR)"
	@`which go` vet .

lint:
	@echo "$(OK_COLOR)==> Running golint $(NO_COLOR)"
	@`which golint` . || true

escape-analysis:
	@go build -gcflags -m

ctags:
	@ctags -R --languages=c,go

.PHONY: all format test doc vet lint ctags

## golang-gopkg-lxc-go-lxc.v2 0.0~git20151204.0.f94d824

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20151204.0.f94d824-0ubuntu1) xenial; urgency=medium

  * Initial release

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 09 Dec 2015 20:36:15 -0500

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go, lxc-dev, pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/lxc/go-lxc
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: golang-go, lxc-dev, pkg-config, ${misc:Depends}, ${shlibs:Depends}
Description: Go bindings for LXC
 This package contains the source tree of the go-lxc project.
 go-lxc is a liblxc1 binding for the Go language using cgo and the LXC C
 library.

## golang-gopkg-lxc-go-lxc.v2 0.0~git20160212.0.d89df0a

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20160212.0.d89df0a-0ubuntu1) xenial; urgency=medium

  * Update to current upstream snapshot.
    - Fixes support for LXC 2.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Apr 2016 14:03:53 -0400

## golang-gopkg-lxc-go-lxc.v2 0.0~git20160405.0.85d46fc

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20160405.0.85d46fc-0ubuntu2) xenial; urgency=medium

  * Fix some autopkgtest issues:
    - Set the TERM environment variable
    - Depend on lxc-templates

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Apr 2016 22:56:41 -0400

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160405.0.85d46fc-0ubuntu1) xenial; urgency=medium

  * Update to current upstream snapshot.
    - Fixes testsuite
  * Add adt test.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Apr 2016 21:06:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-golang, golang-go, lxc-dev, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/lxc/go-lxc
 XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2

=== debian/tests/control ===
Tests: exercise
Depends: busybox-static,
         build-essential,
         golang-go,
         lxc1,
         lxc-templates,
         lxc-dev,
         pkg-config,
         @
Restrictions: needs-root allow-stderr

## golang-gopkg-lxc-go-lxc.v2 0.0~git20160803.0.f8a6938

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20160803.0.f8a6938-0ubuntu1) yakkety; urgency=medium

  * Update to current upstream snapshot.
    - Add support for liblxc's ghost_limit
    - Fixed restore from checkpoint (was always failing)
    - Removed definition check at restore

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Aug 2016 20:08:20 -0400

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160708.0.7b26a5b-0ubuntu3) yakkety; urgency=medium

  * No change rebuild for Go 1.6.3 transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Jul 2016 20:34:30 +1200

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160708.0.7b26a5b-0ubuntu2) yakkety; urgency=medium

  * No change rebuild for Go 1.6.3 transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Jul 2016 11:35:17 +1200

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160708.0.7b26a5b-0ubuntu1) yakkety; urgency=medium

  * Update to current upstream snapshot.
    - add support for liblxc's action_script
    - actually send the predump dir through
    - add support for liblxc's preserves_inodes

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 08 Jul 2016 18:33:22 -0400

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160405.0.85d46fc-0ubuntu3) yakkety; urgency=medium

  * Build shared lib package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 27 Jun 2016 15:52:29 +1200

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Xsbc-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any-shared-dev,
               golang-go,
               lxc-dev,
               pkg-config
Standards-Version: 3.9.7
Homepage: https://github.com/lxc/go-lxc
Xs-Go-Import-Path: gopkg.in/lxc/go-lxc.v2

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: any
Depends: golang-go,
         libgolang-gopkg-lxc-go-lxc.v2-1 (= ${binary:Version}),
         lxc-dev,
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Go bindings for LXC
 This package contains the source tree of the go-lxc project.
 go-lxc is a liblxc1 binding for the Go language using cgo and the LXC C
 library.

Package: libgolang-gopkg-lxc-go-lxc.v2-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${golang:Provides}
Description: Go bindings for LXC -- shared library
 This package contains the source tree of the go-lxc project.
 go-lxc is a liblxc1 binding for the Go language using cgo and the LXC C
 library.

## golang-gopkg-lxc-go-lxc.v2 0.0~git20161126.1.82a07a6

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20161126.1.82a07a6-0ubuntu1~ubuntu16.04.2) xenial; urgency=medium

  * Cherry-pick fixes from recent go-lxc (LP: #1816642):
    - Actually start the container in shutdown test
    - Make sure the container has a config when calling Execute()

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Apr 2019 14:14:00 -0400

golang-gopkg-lxc-go-lxc.v2 (0.0~git20161126.1.82a07a6-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * Update to current upstream snapshot (LP: #1647017)
    - bindings C: check for LXC_DEVEL in version.h file
    - bindings go: check for LXC_DEVEL in version.h
    - lxc-binding: add binding for c->attach()
    - container: add RunCommandNoWait()
    - lxc_test: add test for RunCommandNoWait()
    - Move LXC_DEVEL define to after version.h include
    - c/r: make sure container is running before doing a dump
    - container, error: return correct error
    - Fix TestRunCommandNoWait failure
    - tests: Skip architecture test on !x86
    - tests: Make skip messages consistent
    - Run "go fmt"
  * Restrict autopkgtest to standalone systems

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 26 Nov 2016 15:42:53 -0500

golang-gopkg-lxc-go-lxc.v2 (0.0~git20160803.0.f8a6938-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * Update to same upstream snapshot as Yakkety (LP: #1621557)
    - BUGFIX: removed definition check at restore
    - BUGFIX: fixed restore from checkpoint (was always failing)
    - EXTRA FLAG: c/r: add support for liblxc's ghost_limit
    - EXTRA FLAG: c/r: add support for liblxc's action_script
    - BUGFIX: actually send the predump dir through
    - EXTRA FLAG: c/r: add support for lxc's preserves_inodes
    - CLEANUP: remove commented out code
    - BUGFIX: Silence go get warning

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Sep 2016 13:00:39 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Don't attempt to build the examples
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

# Don't attempt to run the testsuite as it needs root and LXC setup
override_dh_auto_test:
	echo "The testsuite requires a working LXC setup."

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,4 @@
          lxc-dev,
          pkg-config,
          @
-Restrictions: needs-root allow-stderr
+Restrictions: needs-root allow-stderr isolation-machine

## golang-gopkg-lxc-go-lxc.v2 0.0~git20180119.b964baa

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20180119.b964baa-1ubuntu3) bionic; urgency=medium

  * Fix bad runtime dependency on lxc-dev.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 19:22:33 -0500

golang-gopkg-lxc-go-lxc.v2 (0.0~git20180119.b964baa-1ubuntu2) bionic; urgency=medium

  * Cherry-pick upstream fixes for LXC 3.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 16:52:09 -0500

golang-gopkg-lxc-go-lxc.v2 (0.0~git20180119.b964baa-1ubuntu1) bionic; urgency=medium

  * Update lxc-dev build-dependency to match Ubuntu's version.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 16:37:09 -0500

golang-gopkg-lxc-go-lxc.v2 (0.0~git20180119.b964baa-1) unstable; urgency=medium

  * Team upload.

  [ Clément Hermann ]
  * Initial release (Closes: #883488)
  * debian/rules:
    - don't build the example (they will fail due to redeclarations)
    - exclude examples from source
    - disable tests for now (require root and working lxc)
  * debian/docs:
    - include examples as doc
  * debian/control:
    - update description
    - add missing (non-build) dependencies
  * debian/gbp.conf:
    - adjust for DEP14
    - explicitly set debian-branch

  [ Martín Ferrari ]
  * debian/rules: Fix indentation.
  * debian/examples: Install examples with dh_installexamples.
  * debian/control: Bump Standards-Version.

 -- Martín Ferrari <tincho@debian.org>  Thu, 08 Feb 2018 15:45:52 +0000

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@nodens.org>,
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               liblxc-dev (>= 2.0.7-2),
               pkg-config,
Standards-Version: 4.1.3
Homepage: https://github.com/lxc/go-lxc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gopkg-lxc-go-lxc.v2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-lxc-go-lxc.v2.git
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: liblxc-dev (>= 2.0.7-2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go bindings for liblxc
 This package contains the source tree of the go-lxc project
 .
 go-lxc implements Go bindings for the LXC C API using cgo and the LXC C
 library (liblxc).

=== debian/rules ===
#!/usr/bin/make -f

# Skip the examples in source (they're in doc)
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

# disable tests for now, most require root and a working lxc setup.
# Some don't, and there are provision to skip the one that do,
# but the build system is using fakeroot, so it fails.
# Also, even without root a proper lxc + cgroups setup is needed
override_dh_auto_test:
	echo "The testsuite requires a working LXC setup."

# Prevent excluded targets to be included in code
override_dh_auto_install:
	dh_auto_install
	# Do not install excluded packages.
	for pkg in $(DH_GOLANG_EXCLUDES); do \
	    rm -rf debian/*/usr/share/gocode/src/gopkg.in/lxc/go-lxc.v2/$$pkg;\
	    done

## golang-gopkg-lxc-go-lxc.v2 0.0~git20181101.0aadfc3

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20181101.0aadfc3-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Clément Hermann ]
  * New upstream snapshot (Closes: #915619)
  * d/rules: Use DH_GOLANG_EXCLUDES_ALL instead of an override
  * d/control: Bump Standards-Version to 4.2.1 (no change)
  * Switch to debhelper compat level 11

 -- Clément Hermann <nodens@nodens.org>  Wed, 05 Dec 2018 18:52:55 +0100

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@nodens.org>,
Build-Depends: debhelper (>= 11~),
               dh-golang (>= 1.36),
               golang-any,
               lxc-dev (>= 1:2.0.7-2),
               pkg-config,
Standards-Version: 4.2.1
Homepage: https://github.com/lxc/go-lxc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2.git
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: lxc-dev (>= 1:2.0.7-2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go bindings for liblxc
 This package contains the source tree of the go-lxc project
 .
 go-lxc implements Go bindings for the LXC C API using cgo and the LXC C
 library (liblxc).

## golang-gopkg-lxc-go-lxc.v2 0.0~git20190625.f4822c6

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0~git20190625.f4822c6-0ubuntu1) eoan; urgency=low

  * New upstream snapshot.
    - Fix building with Go tip
    - Fix Go tip behavior change
    - Fix the typo (ConsoleLogOptions)
    - Move examples into individual folders
    - Make travis happy
    - Stop using finalizers
    - Improve test suite
    - update README.md with links and examples
    - Updated binding behaviour when template value is "none" to create a
      container without template similar to the "lxc-create" command
    - Fix code formatting
    - Fix fd leak in go_lxc_clone
    - Add go1.12 to the test matrix and make unprivileged tests the default
    - Make errors constants
    - Fix minor typos
    - Added static build support using -tags static_build
    - Added tests for the static_build tag
    - Switch to fetching linker flags from pkg-config

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Oct 2019 16:53:56 -0400

golang-gopkg-lxc-go-lxc.v2 (0.0~git20181101.0aadfc3-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update lxc-dev build-dependency to match Ubuntu's version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2019 12:24:17 +0200

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@nodens.org>,
Build-Depends: debhelper (>= 12~),
               dh-golang (>= 1.36),
               golang-any,
               liblxc-dev (>= 2.0.7-2),
               pkg-config,
Standards-Version: 4.4.0
Homepage: https://github.com/lxc/go-lxc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2.git
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: liblxc-dev (>= 2.0.7-2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go bindings for liblxc
 This package contains the source tree of the go-lxc project
 .
 go-lxc implements Go bindings for the LXC C API using cgo and the LXC C
 library (liblxc).

## golang-gopkg-lxc-go-lxc.v2 0.0%2Bgit20240606.27b3d11

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: golang
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Clément Hermann <nodens@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Mathias Gibbens <gibmat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev,
               lxc-dev,
               pkgconf
Homepage: https://github.com/lxc/go-lxc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2.git
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: golang-golang-x-sys-dev,
         lxc-dev,
         pkgconf,
         ${misc:Depends},
Description: Go bindings for liblxc
 This package contains the source tree of the go-lxc project
 .
 go-lxc implements Go bindings for the LXC C API using cgo and the LXC C
 library (liblxc).

=== debian/rules ===
#!/usr/bin/make -f

# Skip the examples in source (they're in doc)
export DH_GOLANG_EXCLUDES := examples
export DH_GOLANG_EXCLUDES_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

# disable tests for now, most require root and a working lxc setup.
# Some don't, and there are provision to skip the one that do,
# but the build system is using fakeroot, so it fails.
# Also, even without root a proper lxc + cgroups setup is needed
override_dh_auto_test:
	echo "The testsuite requires a working LXC setup."

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=0.0+git%cd.%h,\
repack,compression=xz,repacksuffix=+dfsg,\
" https://github.com/lxc/go-lxc.git \
  heads/v2

## golang-gopkg-lxc-go-lxc.v2 0.0+git20190625.f4822c6

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20190625.f4822c6-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update lxc-dev build-dependency to match Ubuntu's version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2019 07:56:24 +0200

golang-gopkg-lxc-go-lxc.v2 (0.0+git20190625.f4822c6-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added "watch" file to track upstream branch "v2".
  * Standards-Version: 4.4.1.
  * DH & compat to version 12.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Oct 2019 22:57:36 +1100

=== debian/control ===
Source: golang-gopkg-lxc-go-lxc.v2
Section: devel
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Clément Hermann <nodens@nodens.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper (>= 12~),
               dh-golang (>= 1.36),
               golang-any,
               liblxc-dev (>= 2.0.7-2),
               pkg-config,
Homepage: https://github.com/lxc/go-lxc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2.git
XS-Go-Import-Path: gopkg.in/lxc/go-lxc.v2
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-gopkg-lxc-go-lxc.v2-dev
Architecture: all
Depends: liblxc-dev (>= 2.0.7-2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go bindings for liblxc
 This package contains the source tree of the go-lxc project
 .
 go-lxc implements Go bindings for the LXC C API using cgo and the LXC C
 library (liblxc).

## golang-gopkg-lxc-go-lxc.v2 0.0+git20201012.d1943fb

=== Makefile ===
NO_COLOR=\033[0m
OK_COLOR=\033[0;32m

all: format vet lint

format:
	@echo "$(OK_COLOR)==> Formatting the code $(NO_COLOR)"
	@gofmt -s -w *.go
	@goimports -w *.go || true

test-privileged:
	@echo "$(OK_COLOR)==> Running tests for privileged user $(NO_COLOR)"
	@sudo `which go` test -v -coverprofile=/tmp/priv.out
	@sudo `which go` test -tags static_build -v -coverprofile=/tmp/priv.out

test-privileged-race:
	@echo "$(OK_COLOR)==> Running tests with -race flag for privileged user $(NO_COLOR)"
	@sudo `which go` test -race -v
	@sudo `which go` test -tags static_build -race -v

test:
	@echo "$(OK_COLOR)==> Running tests for unprivileged user $(NO_COLOR)"
	@`which go` test -v -coverprofile=/tmp/unpriv.out
	@`which go` test -tags static_build -v -coverprofile=/tmp/unpriv.out

test-race:
	@echo "$(OK_COLOR)==> Running tests with -race flag for unprivileged user $(NO_COLOR)"
	@`which go` test -race -v
	@`which go` test -tags static_build -race -v

cover:
	@echo "$(OK_COLOR)==> Running cover for privileged user $(NO_COLOR)"
	@`which go` tool cover -func=/tmp/priv.out || true
	@echo "$(OK_COLOR)==> Running cover for unprivileged user $(NO_COLOR)"
	@`which go` tool cover -func=/tmp/unpriv.out || true

doc:
	@`which godoc` gopkg.in/lxc/go-lxc.v2 | less

vet:
	@echo "$(OK_COLOR)==> Running go vet $(NO_COLOR)"
	@`which go` vet .

lint:
	@echo "$(OK_COLOR)==> Running golint $(NO_COLOR)"
	@`which golint` . || true

escape-analysis:
	@`which go` build -gcflags -m

ctags:
	@ctags -R --languages=c,go

scope:
	@echo "$(OK_COLOR)==> Exported container calls in container.go $(NO_COLOR)"
	@/bin/grep -E "\bc+\.([A-Z])\w+" container.go || true

setup-test-cgroup:
	for d in /sys/fs/cgroup/*; do \
	    [ -f $$d/cgroup.clone_children ] && echo 1 | sudo tee $$d/cgroup.clone_children; \
	    [ -f $$d/cgroup.use_hierarchy ] && echo 1 | sudo tee $$d/cgroup.use_hierarchy; \
	    sudo mkdir -p $$d/lxc; \
	    sudo chown -R $$USER: $$d/lxc; \
	done

.PHONY: all format test doc vet lint ctags

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20201012.d1943fb-2) unstable; urgency=medium

  * d/control:
    - Change section to golang
    - Declare compliance with Debian Policy 4.5.1 (no change)
    - Switch to @debian.org address in Uploaders
    - Rules-Requires-Root: no
  * d/gbp.conf: Specify compression type for consistency
  * source-only upload to allow migration to testing (Closes: #978411)

 -- Clément Hermann <nodens@debian.org>  Mon, 28 Dec 2020 11:16:20 +0100

golang-gopkg-lxc-go-lxc.v2 (0.0+git20201012.d1943fb-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Clément Hermann ]
  * New upstream snapshot.
  * Bump debhelper-compat to 13
  * Add new build-dep: golang-golang-x-sys-dev
  * d/copyright: remove unused File-Excluded
  * Declare compliance with Policy 4.5.0 (no change)

 -- Clément Hermann <nodens@debian.org>  Sun, 25 Oct 2020 10:38:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: golang-gopkg-lxc-go-lxc.v2
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Clément Hermann <nodens@nodens.org>,
+Uploaders: Clément Hermann <nodens@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.36),
                golang-any,
-               liblxc-dev (>= 2.0.7-2),
+               golang-golang-x-sys-dev,
+               lxc-dev (>= 1:2.0.7-2),
                pkg-config,
 Homepage: https://github.com/lxc/go-lxc
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
@@ -19,7 +20,7 @@
 
 Package: golang-gopkg-lxc-go-lxc.v2-dev
 Architecture: all
-Depends: liblxc-dev (>= 2.0.7-2),
+Depends: lxc-dev (>= 1:2.0.7-2),
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},

## golang-gopkg-lxc-go-lxc.v2 0.0+git20210607.10de240

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20210607.10de240-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream snapshot
  * d/control:
    - Add myself to Uploaders
    - Declare compliance with Debian Policy 4.6.0 (no change)

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 26 Nov 2021 12:08:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: golang-gopkg-lxc-go-lxc.v2
 Section: golang
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Clément Hermann <nodens@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
+           Mathias Gibbens <mathias@calenhad.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.36),
+               dh-golang,
                golang-any,
                golang-golang-x-sys-dev,
                lxc-dev (>= 1:2.0.7-2),
-               pkg-config,
+               pkg-config
 Homepage: https://github.com/lxc/go-lxc
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2.git

## golang-gopkg-lxc-go-lxc.v2 0.0+git20220627.ad3d9f7

=== examples/Makefile ===
NO_COLOR=\033[0m
OK_COLOR=\033[0;32m

ALL_GO_FILES = $(wildcard */*.go)
ALL_BIN_FILES = $(patsubst %.go,%,$(ALL_GO_FILES))

all: $(ALL_GO_FILES)

define PROGRAM_template
$(1): vet
	@echo "$(OK_COLOR)==> Building $(1) $(NO_COLOR)"
	@cd $(dir $1); go build
endef

$(foreach prog,$(ALL_GO_FILES),$(eval $(call PROGRAM_template,$(prog))))

clean:
	@$(foreach file,$(ALL_BIN_FILES),rm -f $(file);)

format:
	@echo "$(OK_COLOR)==> Formatting the code $(NO_COLOR)"
	@$(foreach file,$(ALL_GO_FILES),gofmt -s -w $(file);)
	@$(foreach file,$(ALL_GO_FILES),goimports -w $(file);)

vet:
	@echo "$(OK_COLOR)==> Running go vet $(NO_COLOR)"
	@$(foreach file,$(ALL_GO_FILES),go vet -all $(file);)

lint:
	@echo "$(OK_COLOR)==> Running golint $(NO_COLOR)"
	@$(foreach file,$(ALL_GO_FILES),golint $(file);)

.PHONY: all clean format vet lint

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20220627.ad3d9f7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 14:29:46 +0100

golang-gopkg-lxc-go-lxc.v2 (0.0+git20220627.ad3d9f7-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
  * Update to Standards-Version 4.6.1 (no changes needed)
  * Update Maintainer email address in d/control
  * Add myself to d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 01 Jul 2022 16:01:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: golang-gopkg-lxc-go-lxc.v2
 Section: golang
 Priority: optional
-Standards-Version: 4.6.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.6.1
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Clément Hermann <nodens@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Mathias Gibbens <mathias@calenhad.com>
@@ -10,7 +10,7 @@
                dh-golang,
                golang-any,
                golang-golang-x-sys-dev,
-               lxc-dev (>= 1:2.0.7-2),
+               lxc-dev,
                pkg-config
 Homepage: https://github.com/lxc/go-lxc
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-lxc-go-lxc.v2
@@ -21,7 +21,7 @@
 
 Package: golang-gopkg-lxc-go-lxc.v2-dev
 Architecture: all
-Depends: lxc-dev (>= 1:2.0.7-2),
+Depends: lxc-dev,
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},

## golang-gopkg-lxc-go-lxc.v2 0.0+git20230621.be98af2

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20230621.be98af2-1) unstable; urgency=medium

  * New upstream snapshot
  * d/control:
    - Update my email address
    - Update Standards-Version to 4.6.2 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 21 Jul 2023 14:03:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: golang-gopkg-lxc-go-lxc.v2
 Section: golang
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Clément Hermann <nodens@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
-           Mathias Gibbens <mathias@calenhad.com>
+           Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,

## golang-gopkg-lxc-go-lxc.v2 0.0+git20240606.27b3d11

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	@`which go` tool cover -func=/tmp/unpriv.out || true
 
 doc:
-	@`which godoc` gopkg.in/lxc/go-lxc.v2 | less
+	@`which go` doc github.com/lxc/go-lxc | less
 
 vet:
 	@echo "$(OK_COLOR)==> Running go vet $(NO_COLOR)"
@@ -51,16 +51,12 @@
 ctags:
 	@ctags -R --languages=c,go
 
+update-gomod:
+	go get -t -v -d -u ./...
+	go mod tidy
+
 scope:
 	@echo "$(OK_COLOR)==> Exported container calls in container.go $(NO_COLOR)"
 	@/bin/grep -E "\bc+\.([A-Z])\w+" container.go || true
 
-setup-test-cgroup:
-	for d in /sys/fs/cgroup/*; do \
-	    [ -f $$d/cgroup.clone_children ] && echo 1 | sudo tee $$d/cgroup.clone_children; \
-	    [ -f $$d/cgroup.use_hierarchy ] && echo 1 | sudo tee $$d/cgroup.use_hierarchy; \
-	    sudo mkdir -p $$d/lxc; \
-	    sudo chown -R $$USER: $$d/lxc; \
-	done
-
 .PHONY: all format test doc vet lint ctags

=== debian/changelog ===
golang-gopkg-lxc-go-lxc.v2 (0.0+git20240606.27b3d11-1) unstable; urgency=medium

  * New upstream snapshot

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 12 Jun 2024 22:59:57 +0000

golang-gopkg-lxc-go-lxc.v2 (0.0+git20230926.ccae595-1) unstable; urgency=medium

  * New upstream snapshot
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update pkg-config => pkgconf in Build-Depends and Depends
    - Drop unneeded ${shlibs:Depends} from Depends
    - Add missing golang-golang-x-sys-dev to Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 04 May 2024 15:36:14 +0000
